langflow:
  backend:
    replicaCount: 1
    image:
      repository: langflowai/langflow-backend
      tag: "v1.1.1"
    resources:
      requests:
        cpu: 0.5
        memory: 1Gi
    nodeSelector: {}
    tolerations: []
    backendOnly: true
    env:
      - name: LANGFLOW_PORT
        value: "7860"
      - name: LANGFLOW_LOG_LEVEL
        value: "info"
      - name: LANGFLOW_AUTO_LOGIN
        value: "False"
      - name: LANGFLOW_SUPERUSER
        value: "admin"
      - name: LANGFLOW_SUPERUSER_PASSWORD
        value: "password"
      - name: LANGFLOW_SECRET_KEY
        value: "randomly_generated_secure_key"
      - name: LANGFLOW_NEW_USER_IS_ACTIVE
        value: "False"
    externalDatabase:
      enabled: true
      driver:
        value: "postgresql"
      host:
        value: "langflow-ide-postgresql-service"
      port:
        value: "5432"
      database:
        value: "langflow-db"
      user:
        value: "langflow"
      password:
        valueFrom:
          secretKeyRef:
            key: "password"
            name: "langflow-ide-postgresql-service"
    sqlite:
      enabled: false
    probe:
      failureThreshold: 3
      periodSeconds: 10
      timeoutSeconds: 5
      initialDelaySeconds: 60
  frontend:
    enabled: true
    replicaCount: 1
    image:
      repository: langflowai/langflow-frontend
      tag: "v1.1.1"
    resources:
      requests:
        cpu: 0.3
        memory: 512Mi
    nodeSelector: {}
    tolerations: []

ingress:
  enabled: true
  annotations:
    cert-manager.io/cluster-issuer: "selfsigned-issuer" 
    cert-manager.io/duration: 8760h  
    cert-manager.io/renew-before: 720h
  hosts:
    - host: langflow.example.org
      paths:
        - path: /
          pathType: ImplementationSpecific
          servicePort: 7860
  tls: 
  -  hosts:
     - langflow.example.org
     secretName: langflow-tls-secret

postgresql:
  enabled: true
  fullnameOverride: "langflow-ide-postgresql-service"
  auth:
    username: "langflow"
    password: "langflow-postgres"
    database: "langflow-db"
  primary:
    persistence:
      size: 5Gi
      storageClass: ""